/*
 * IOC Scrollwheel component support header file for the
 * Fiona Power Management System (fpow)
 *
 * Copyright (C) 2006 Lab126, Inc.  All rights reserved. <nvaccaro@lab126.com>
 */

#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/errno.h>
#include <linux/completion.h>
#include <linux/string.h>
#include <asm/uaccess.h>
#include <linux/suspend.h>
#include <asm/system.h>
#include <asm/arch/system.h>
#include <asm/arch/fiona.h>
#include <asm/arch/fpow.h>  // FPOW-related constants

// Globals
extern struct fpow_component *g_scroll_fpow_component_ptr;

// Prototypes
void scroll_unregister_with_fpow(struct fpow_component *fpow_dev);
int scroll_register_with_fpow(struct device *dev, struct fpow_component **fpow_dev);


