#include <common.h>

#ifdef CONFIG_EINK_APOLLO

#include "ub_boot_globals.h"
#include "fb.h"

#include "common_source_island/eips_bootloader.c"
#include "common_source_island/eips.c"

#else

#include "ub_eips.h"

int eips_get_row(void)
{
    return ( 0 );
}

void eips_set_row(int row)
{
}

void eips_puts(eips_cmd_type eips_cmd, int column, char *string)
{
    if ( EIPS_PUTS_COL_START < column )
    {
        int i;
        
        for ( i = 0; i < column; i++ )
            putc(' ');
    }
    
    puts(string);
}

#endif // CONFIG_EINK_APOLLO
